- Home
- API Enriched
- Shape
- shape
- Traffic Overview Timeseries V4.
Traffic Overview Timeseries V4.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v4/reporting/traffic/overview/timeseries';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"category":"example","end_time":"example","filters":{"global_filters":[{"key":"TIMESTAMP","op":"IN","values":["example"]}],"region_filter":"US"},"namespace":"example","start_time":"example","use_raw_data":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v4/reporting/traffic/overview/timeseries \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "category": "example", "end_time": "example", "filters": { "global_filters": [ { "key": "TIMESTAMP", "op": "IN", "values": [ "example" ] } ], "region_filter": "US" }, "namespace": "example", "start_time": "example", "use_raw_data": true }'GET the traffic count details based on types like Humans, Automated, Allow listed, etc. Over a chosen period.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for Shape Bot Defense traffic overview with global filters.
object
Endpoint category label Optional: empty by default.
End time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
List of global filters
Required: YES.
Query Global Filter.
object
An unordered list of filter strings Required: YES.
Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.
Start time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Optional: by default is false.
Responses
Section titled “Responses”A successful response.
Response that contains Shape Bot Defense traffic type timeseries.
object
Traffic type timeseries.
Response that contains timeseries against each traffic or any other type.
object
The name of the Traffic Type.
Time Series data for each traffic type.
Requests over time.
object
Number of requests counted at specific time period marked by timestamp.
UTC timestamp in seconds.
Examplegenerated
{ "traffic_type_data": [ { "name": "example", "time_series": [ { "count": "example", "timestamp": 1 } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example